<script setup>
import GuestLayout from '@/Layouts/GuestLayout.vue';
import {Link} from "@inertiajs/vue3";

const props = defineProps({
  posts: Array,
})

</script>
<style>
.news__line{
    border-radius: 8px;
}
.news__background{
    border-radius: 8px;
}
</style>
<template>
<guest-layout>
    <section class="news">
      <div class="container">
        <div class="news__inner">
          <p class="news__title">Новости</p>
          <div class="news__content">

            <div v-for="(item,key) of posts"
                 :key="key"
                 class="news__news">
              <img class="news__background"
                   :src="item.image"
                   :alt="item.title"
              />
              <div class="news__line">
                <p class="news__news-title">{{item.title}}</p>
                <p class="news__date">{{ item.date }}</p>
              </div>
              <div class="news__effect"></div>
              <div class="news__out">
                <div class="news__out-line">
                  <p class="news__news-title">{{item.title}}</p>
                  <p class="news__date">{{ item.date }}</p>
                </div>
                <p class="news__description">
                  {{ item.short_description }}
                </p>
                <Link class="news__button button" :href="route('posts.show',item)">
                  Читать подробнее
                  <svg width="21" height="12" viewbox="0 0 21 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M20.5303 6.53033C20.8232 6.23744 20.8232 5.76256 20.5303 5.46967L15.7574 0.696699C15.4645 0.403806 14.9896 0.403806 14.6967 0.696699C14.4038 0.989593 14.4038 1.46447 14.6967 1.75736L18.9393 6L14.6967 10.2426C14.4038 10.5355 14.4038 11.0104 14.6967 11.3033C14.9896 11.5962 15.4645 11.5962 15.7574 11.3033L20.5303 6.53033ZM0 6.75H20V5.25H0V6.75Z" fill="white"></path>
                  </svg>
                </Link>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
</guest-layout>
</template>
